Skip site navigation (1)Skip section navigation (2)
Date:      Thu, 6 Jan 2011 02:36:29 +0000 (UTC)
From:      Nathan Whitehorn <nwhitehorn@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-user@freebsd.org
Subject:   svn commit: r217038 - user/nwhitehorn/bsdinstall/scripts
Message-ID:  <201101060236.p062aTsH098773@svn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: nwhitehorn
Date: Thu Jan  6 02:36:29 2011
New Revision: 217038
URL: http://svn.freebsd.org/changeset/base/217038

Log:
  Check for cntrl-C, errors, user choosing "Don't Save" in partedit, etc.

Modified:
  user/nwhitehorn/bsdinstall/scripts/auto

Modified: user/nwhitehorn/bsdinstall/scripts/auto
==============================================================================
--- user/nwhitehorn/bsdinstall/scripts/auto	Thu Jan  6 02:21:14 2011	(r217037)
+++ user/nwhitehorn/bsdinstall/scripts/auto	Thu Jan  6 02:36:29 2011	(r217038)
@@ -4,8 +4,22 @@ echo "Begun Installation at $(date)" > $
 
 cdialog --backtitle "FreeBSD Installer" --title "Welcome" --msgbox "Welcome to the FreeBSD Installer." 0 0
 
+checkerror() {
+	if [ $? -ne 0 ]; then
+		cdialog --backtitle "FreeBSD Installer" --title "Abort" \
+		    --no-label "Exit" --yes-label "Restart" --yesno \
+		    "You have canceled an installation step. Would you like to restart the installation or exit the installer?" 0 0
+		if [ $? -ne 0 ]; then
+			exit
+		else
+			exec $0 $@
+		fi
+	fi
+}
+
 rm /tmp/rc.conf
 bsdinstall hostname
+checkerror
 
 FETCH_DISTRIBUTIONS=""
 for dist in $DISTRIBUTIONS; do
@@ -16,24 +30,31 @@ done
 
 if [ ! -z "$FETCH_DISTRIBUTIONS" ]; then
 	cdialog --backtitle "FreeBSD Installer" --title "Network Installation" --msgbox "No installation files were found on the boot volume. The next few screens will allow you to configure networking so that they can be downloaded from the Internet." 0 0
-	bsdinstall netconfig mirrorselect
+	bsdinstall netconfig
+	checkerror
 fi
 
 rm $PATH_FSTAB
 bsdinstall partedit
+checkerror
 bsdinstall mount 
 
 if [ ! -z $FETCH_DISTRIBUTIONS ]; then
 	ALL_DISTRIBUTIONS=$DISTRIBUTIONS
 	DISTRIBUTIONS=$FETCH_DISTRIBUTIONS
 	bsdinstall distfetch
+	checkerror
 	DISTRIBUTIONS=$ALL_DISTRIBUTIONS
 fi
 
 bsdinstall distextract
+checkerror
 bsdinstall rootpass
+checkerror
 bsdinstall adduser
+checkerror
 bsdinstall config 
+checkerror
 
 cdialog --backtitle "FreeBSD Installer" --title "Complete" --msgbox "Installation of FreeBSD complete!" 0 0
 



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201101060236.p062aTsH098773>